# VertexPaint(Paint)

base classes — `bpy_struct`, `Paint`

class `bpy.types.``VertexPaint`(Paint)

  Properties of vertex and weight paint mode

  `radial_symmetry`

    Number of times to copy strokes across the surface

    Type: | int array of 3 items in [1, 64], default (1, 1, 1)

  `use_group_restrict`

    Restrict painting to vertices in the group

    Type: | boolean, default False

  classmethod `bl_rna_get_subclass`(id, default=None)

    Parameters: | id (string) – The RNA type identifier.
    Returns: | The RNA type or default when not found.
    Return type: | `bpy.types.Struct` subclass

  classmethod `bl_rna_get_subclass_py`(id, default=None)

    Parameters: | id (string) – The RNA type identifier.
    Returns: | The class or default when not found.
    Return type: | type

Inherited Properties

`bpy_struct.id_data` `Paint.brush` `Paint.tool_slots` `Paint.palette` `Paint.show_brush` `Paint.show_brush_on_surface` `Paint.show_low_resolution` `Paint.input_samples` `Paint.use_symmetry_x` | `Paint.use_symmetry_y` `Paint.use_symmetry_z` `Paint.use_symmetry_feather` `Paint.cavity_curve` `Paint.use_cavity` `Paint.tile_offset` `Paint.tile_x` `Paint.tile_y` `Paint.tile_z`

Inherited Functions

`bpy_struct.as_pointer` `bpy_struct.driver_add` `bpy_struct.driver_remove` `bpy_struct.get` `bpy_struct.is_property_hidden` `bpy_struct.is_property_overridable_library` `bpy_struct.is_property_readonly` `bpy_struct.is_property_set` `bpy_struct.items` `bpy_struct.keyframe_delete` | `bpy_struct.keyframe_insert` `bpy_struct.keys` `bpy_struct.path_from_id` `bpy_struct.path_resolve` `bpy_struct.pop` `bpy_struct.property_overridable_library_set` `bpy_struct.property_unset` `bpy_struct.type_recast` `bpy_struct.values`

References

`ToolSettings.vertex_paint` | `ToolSettings.weight_paint`